[PATCH openbmc 3/9] obmc-initfs: init: check init is an executable file
OpenBMC Patches
openbmc-patches at stwcx.xyz
Wed Feb 10 05:00:16 AEDT 2016
From: Milton Miller <miltonm at us.ibm.com>
In init, check the new init is an executable file with non-zero
size in addition to the shell being executable with its shared
libraries.
Signed-off-by: Milton Miller <miltonm at us.ibm.com>
---
.../common/recipes-phosphor/obmc-phosphor-initfs/files/obmc-init.sh | 5 +++--
1 file changed, 3 insertions(+), 2 deletions(-)
diff --git a/meta-phosphor/common/recipes-phosphor/obmc-phosphor-initfs/files/obmc-init.sh b/meta-phosphor/common/recipes-phosphor/obmc-phosphor-initfs/files/obmc-init.sh
index 0dc4c35..eed8cf5 100644
--- a/meta-phosphor/common/recipes-phosphor/obmc-phosphor-initfs/files/obmc-init.sh
+++ b/meta-phosphor/common/recipes-phosphor/obmc-phosphor-initfs/files/obmc-init.sh
@@ -69,9 +69,10 @@ mkdir -p $work
mount -t overlay -o lowerdir=$rodir,upperdir=$upper,workdir=$work cow /root
-if ! chroot /root /bin/sh -c exit
+if ! chroot /root /bin/sh -c "test -x /sbin/init -a -s /sbin/init"
then
- echo 'chroot test failed; invoking emergency shell.'
+ echo "Unable to confirm /sbin/init is an executable non-empty file."
+ echo "Change Root test failed! Invoking emergency shell."
PS1=rescue#\ sulogin
fi
--
2.6.4
More information about the openbmc
mailing list